/*La fonction decim renvoie la valeur d'un nombre nb
arrondie  d dcimales avec, comme sparateur, un
point ou une virgule. Elle accepte en entre un nombre
ventuellement dcimal avec . ou , en sparateur (mais
sans sparateur de milliers).

La fonction peut tre appele ainsi :
n.decim() --> renvoie un nombre  2 dcimales avec .
n.decim(d) --> le nombre arrondie  d dcimales . sp.
n.decim(d,",") --> idem prcdent avec , sp.

La fonction retourne null si le nombre de dcimales d est
dcimal ou si d n'est pas numrique. Si d est ngatif, elle
arrondit le nombre  la puissance -d de 10. Elle retourne NaN
si une valeur donne de n n'est pas numrique ou convertible
en nombre par javascript (on peut entrer des nombres en
notation scientifique et n peut tre ngatif).

La fonction est ajout au prototype des nombres et des
chanes. Elle s'utilise comme une mthode des variables
- ou des constantes - de type numrique ou chane.
*/
function decim(d,v) {
var sign=false, nb=this;
nb=nb.toString();
if(!d && d!=0)d=2;
if(d!=parseInt(d))return null;
d=parseInt(d);
v=(!v || v==".")?".":",";
nb=nb.replace(/,/,".");
nb=parseFloat(nb);
if(isNaN(nb))return NaN;
nb=Math.round(nb*Math.pow(10,d))
if(nb<0){sign=true;nb=-nb}
nb=nb.toString();

while (nb.length<=d) nb="0"+nb;
if(d>0){
var re="(";
while(re.length<=d)re+=".";
re+="$)"
re=new RegExp(re);
nb=nb.replace(re,v+"$1");
}
else if(nb!="0")while(d++<0)nb+="0";
if(sign)nb="-"+nb;
return nb;
}
// Ajout aux prototypes des objets String et Number
Number.prototype.decim=decim;
String.prototype.decim=decim;